Bug 998910 - [abrt] oyranos-0.4.0-7.fc19: XcmEdidParse: Process /usr/bin/oyranos-monitor was killed by signal 11 (SIGSEGV)
[abrt] oyranos-0.4.0-7.fc19: XcmEdidParse: Process /usr/bin/oyranos-monitor w...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: oyranos (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
abrt_hash:11cde681512716bbb5b1084a960...
:
Depends On: 1053014
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 06:40 EDT by kubrick@fgv6.net
Modified: 2014-09-13 15:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-30 12:09:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.34 KB, text/plain)
2013-08-20 06:40 EDT, kubrick@fgv6.net
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-20 06:40 EDT, kubrick@fgv6.net
no flags Details
File: core_backtrace (4.37 KB, text/plain)
2013-08-20 06:40 EDT, kubrick@fgv6.net
no flags Details
File: dso_list (6.51 KB, text/plain)
2013-08-20 06:40 EDT, kubrick@fgv6.net
no flags Details
File: environ (1.34 KB, text/plain)
2013-08-20 06:40 EDT, kubrick@fgv6.net
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-20 06:40 EDT, kubrick@fgv6.net
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-20 06:40 EDT, kubrick@fgv6.net
no flags Details
File: maps (30.92 KB, text/plain)
2013-08-20 06:41 EDT, kubrick@fgv6.net
no flags Details
File: open_fds (257 bytes, text/plain)
2013-08-20 06:41 EDT, kubrick@fgv6.net
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-08-20 06:41 EDT, kubrick@fgv6.net
no flags Details
File: var_log_messages (660 bytes, text/plain)
2013-08-20 06:41 EDT, kubrick@fgv6.net
no flags Details

  None (edit)
Description kubrick@fgv6.net 2013-08-20 06:40:38 EDT
Description of problem:
Both my displays are calibrated using dispcalGUI.
I wasn't doing anything particular at the time of the crash, I was just reading a web page and both my screens turned black, I was then unable to do anything.

Version-Release number of selected component:
oyranos-0.4.0-7.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/oyranos-monitor -x 0 -y 489
crash_function: XcmEdidParse
executable:     /usr/bin/oyranos-monitor
kernel:         3.10.7-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XcmEdidParse at XcmEdidParse.c:272
 #1 oyUnrollEdid1_ at /usr/src/debug/oyranos-0.4.0/modules/devices/oyranos_monitor.c:280
 #2 oyX1GetMonitorInfo_ at /usr/src/debug/oyranos-0.4.0/modules/devices/oyranos_monitor_x11.c:312
 #3 oyX1GetMonitorInfo_lib at /usr/src/debug/oyranos-0.4.0/modules/devices/oyranos_monitor_x11.c:1546
 #4 oyX1DeviceFromName_ at /usr/src/debug/oyranos-0.4.0/modules/devices/oyranos_cmm_oyX1.c:241
 #5 oyX1Configs_Modify at /usr/src/debug/oyranos-0.4.0/modules/devices/oyranos_cmm_oyX1.c:939
 #6 oyConfigs_Modify at /usr/src/debug/oyranos-0.4.0/oyranos_alpha.c:5240
 #7 oyDeviceBackendCall at /usr/src/debug/oyranos-0.4.0/oyranos_alpha.c:7138
 #8 oyDeviceProfileFromDB at /usr/src/debug/oyranos-0.4.0/oyranos_alpha.c:7979
 #9 oyDeviceSetup at /usr/src/debug/oyranos-0.4.0/oyranos_alpha.c:7198
Comment 1 kubrick@fgv6.net 2013-08-20 06:40:41 EDT
Created attachment 788411 [details]
File: backtrace
Comment 2 kubrick@fgv6.net 2013-08-20 06:40:44 EDT
Created attachment 788412 [details]
File: cgroup
Comment 3 kubrick@fgv6.net 2013-08-20 06:40:46 EDT
Created attachment 788413 [details]
File: core_backtrace
Comment 4 kubrick@fgv6.net 2013-08-20 06:40:49 EDT
Created attachment 788414 [details]
File: dso_list
Comment 5 kubrick@fgv6.net 2013-08-20 06:40:52 EDT
Created attachment 788415 [details]
File: environ
Comment 6 kubrick@fgv6.net 2013-08-20 06:40:54 EDT
Created attachment 788416 [details]
File: exploitable
Comment 7 kubrick@fgv6.net 2013-08-20 06:40:57 EDT
Created attachment 788417 [details]
File: limits
Comment 8 kubrick@fgv6.net 2013-08-20 06:41:00 EDT
Created attachment 788418 [details]
File: maps
Comment 9 kubrick@fgv6.net 2013-08-20 06:41:02 EDT
Created attachment 788419 [details]
File: open_fds
Comment 10 kubrick@fgv6.net 2013-08-20 06:41:05 EDT
Created attachment 788420 [details]
File: proc_pid_status
Comment 11 kubrick@fgv6.net 2013-08-20 06:41:08 EDT
Created attachment 788421 [details]
File: var_log_messages
Comment 12 Christopher Meng 2013-10-08 05:31:13 EDT
I may update it to 0.9.x series later, please help test when you receive the updates.
Comment 13 Dariusz Garbowski 2013-10-29 03:20:55 EDT
I found this bug report via abrt.
/usr/bin/oyranos-monitor was killed by signal 11 (SIGSEGV).

This happened after I tried to install display profile created with latest dispcalGUI (1.5.3.1) after monitor calibration. In case that matters: I have dual monitor setup driven by Intel Ivy Bridge (HD4000) graphics.

oyranos-0.4.0-7.fc19

I am be interested in testing new version of oyranos for this bug.
Comment 14 kubrick@fgv6.net 2013-12-03 05:01:42 EST
FYI this is still happening quite often with up-to-date versions of fedora.
Comment 15 Christopher Meng 2013-12-03 05:07:08 EST
(In reply to François Guerraz from comment #14)
> FYI this is still happening quite often with up-to-date versions of fedora.

Yes, there may have some potential risks here. Please don't hurry.
Comment 16 kubrick@fgv6.net 2014-01-13 07:57:31 EST
Still happening, made gnome-shell crash this time... I know I should not hurry but still, can we have something to test?
Comment 17 Christopher Meng 2014-01-14 04:06:56 EST
I will update elektra first(this takes a lot of time as I didn't maintain it before), then will update oyranos.

They will be landed in rawhide soon, but not sure as we Chinese are going to celebrate Chinese New Year soon.

Sorry for the delay.
Comment 18 Christopher Meng 2014-01-14 04:07:21 EST
*** Bug 875337 has been marked as a duplicate of this bug. ***
Comment 19 Christopher Meng 2014-01-14 05:21:40 EST
The latest version of elektra has problem on building and installation, I've sent inquiry to upstream.
Comment 20 Christopher Meng 2014-01-20 21:25:35 EST
0.8 is now in rawhide and f20 update-testing, I will try building oyranos.

However cinepaint needs to be rebuilt, too. Not sure if it can pass the compiling.
Comment 21 Jaromír Cápík 2014-01-21 12:55:50 EST
Hi Christopher.

I'm trying to update cinepaint/f20 to 1.4 as the 1.3 doesn't work at all, but am unable to do so as the build fails on oyranos-libs installation. Could you please take care of that?

Thanks,
Jaromir.
Comment 22 Michael Schwendt 2014-01-21 13:31:44 EST
As one can observe in koji, more than a simple rebuild is required:
http://koji.fedoraproject.org/koji/packageinfo?packageID=5914

Apparently, the elektra upgrade has not been evaluated prior to publishing it in Rawhide.

For F20, withdrawing the upgrade and aborting the buildroot override could be the short-term work-around.
Comment 23 Christopher Meng 2014-01-21 20:27:00 EST
I first took up this package in the last summer IIRC. Then I found only cinepaint and oyranos depended on this kv library. At that time 0.8 had been released for a long time. Then oyranos was taken by myself, and I asked oyranos upstream about the API breakage, they'd learnt of this already. 

So I didn't do anything since then. 

And in Jan I checked again in oyranos git, they've added 0.8 elektra support in the Dec. So now I just need to checkout from git and scratch a build. Unfortunately I haven't done this, will do it tomorrow(thursday).

Cinepaint owner please be patient, I just canceled the update in f20 since it's not perfect now. When it's ready to be pushed, I will update the bug by bodhi. Please try the build first in rawhide, sorry for take too much trouble here.
Comment 24 Christopher Meng 2014-01-21 20:29:14 EST
I'm currently on travel.

s/take/taking/
Comment 25 Michael Schwendt 2014-01-22 05:05:30 EST
> Please try the build first in rawhide

Christopher, you are missing the fact that your elektra upgrade has broken the Rawhide buildroot. There's a broken dep in oyranos-libs, which still depends on the old libelektra. It won't install anymore and needs code changes before it would rebuild:
http://koji.fedoraproject.org/koji/packageinfo?packageID=5914

> So now I just need to checkout from git and scratch a build.

Great! That is what ought to have happened prior to upgrading elektra. In Rawhide.
Comment 26 Christopher Meng 2014-01-23 03:09:29 EST
I've pushed the 0.9.5pre release to rawhide, Jaromír, is it OK for you now? I'm willing to hear from you.
Comment 27 Christopher Meng 2014-01-30 12:09:58 EST
Target rawhide ONLY.

Note You need to log in before you can comment on or make changes to this bug.